Update Return
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"externalComment": "<string>",
"internalComment": "<string>",
"contact": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"transmitToSalesChannel": true,
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}"
payload = {
"externalComment": "<string>",
"internalComment": "<string>",
"contact": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"transmitToSalesChannel": True,
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
externalComment: '<string>',
internalComment: '<string>',
contact: '<string>',
companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
transmitToSalesChannel: true,
warehouseId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/returns/{returnId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'externalComment' => '<string>',
'internalComment' => '<string>',
'contact' => '<string>',
'companyId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'transmitToSalesChannel' => true,
'warehouseId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/returns/{returnId}"
payload := strings.NewReader("{\n \"externalComment\": \"<string>\",\n \"internalComment\": \"<string>\",\n \"contact\": \"<string>\",\n \"companyId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"transmitToSalesChannel\": true,\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/v2/returns/{returnId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"externalComment\": \"<string>\",\n \"internalComment\": \"<string>\",\n \"contact\": \"<string>\",\n \"companyId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"transmitToSalesChannel\": true,\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/returns/{returnId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"externalComment\": \"<string>\",\n \"internalComment\": \"<string>\",\n \"contact\": \"<string>\",\n \"companyId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"transmitToSalesChannel\": true,\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}"
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnNumber": "<string>",
"returnDate": "2023-11-07T05:31:56Z",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalNumber": "<string>",
"origin": 0,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalComment": "<string>",
"internalComment": "<string>",
"contact": "<string>",
"transmitToSalesChannel": true
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Return
Update Return
Updates the header data of an existing return - external and internal comment, contact, company, warehouse and sales channel transmission. Line items are updated via the line item endpoint. The state of the return is inferred from its line items and cannot be set directly.
PATCH
/
v2
/
returns
/
{returnId}
Update Return
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"externalComment": "<string>",
"internalComment": "<string>",
"contact": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"transmitToSalesChannel": true,
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}"
payload = {
"externalComment": "<string>",
"internalComment": "<string>",
"contact": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"transmitToSalesChannel": True,
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
externalComment: '<string>',
internalComment: '<string>',
contact: '<string>',
companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
transmitToSalesChannel: true,
warehouseId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/returns/{returnId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'externalComment' => '<string>',
'internalComment' => '<string>',
'contact' => '<string>',
'companyId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'transmitToSalesChannel' => true,
'warehouseId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/returns/{returnId}"
payload := strings.NewReader("{\n \"externalComment\": \"<string>\",\n \"internalComment\": \"<string>\",\n \"contact\": \"<string>\",\n \"companyId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"transmitToSalesChannel\": true,\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/v2/returns/{returnId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"externalComment\": \"<string>\",\n \"internalComment\": \"<string>\",\n \"contact\": \"<string>\",\n \"companyId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"transmitToSalesChannel\": true,\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/returns/{returnId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"externalComment\": \"<string>\",\n \"internalComment\": \"<string>\",\n \"contact\": \"<string>\",\n \"companyId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"transmitToSalesChannel\": true,\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n}"
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnNumber": "<string>",
"returnDate": "2023-11-07T05:31:56Z",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalNumber": "<string>",
"origin": 0,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalComment": "<string>",
"internalComment": "<string>",
"contact": "<string>",
"transmitToSalesChannel": true
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Path Parameters
Body
application/json
Request model for UpdateReturn command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
Response
The updated return.
Model Class: Return
Was this page helpful?